library IEEE;
use IEEE.Std_Logic_1164.all;

entity ALREG is
port (NEW_ALARM_TIME        : in std_logic_vector(3 downto 0);
         LOAD_NEW_A            : in std_logic;
         CLK                   : in std_logic;
         RESET                 : in std_logic;
         ALARM_TIME            : out  std_logic_vector(3 downto 0):="0000"
        );
end ALREG;

architecture RTL of ALREG is

begin

lab7: process(clk,reset)

begin

  if reset='1' 
    then
      ALARM_TIME <= "0000";
    elsif clk'event and clk='1'
         then
          if LOAD_NEW_A='1'
           then ALARM_TIME<=NEW_ALARM_TIME;
          end if;
  end if;
end process lab7;
end RTL;
